package com.boman.web.core.mapper;
/**
 * @author tjf
 * @Date: 2022/05/13/10:27
 */

import com.boman.web.core.domain.AccountingData;
import com.boman.web.core.domain.vo.AccountingDataVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Set;


/**
 * @author tjf
 * @Date: 2022/05/13/10:27
 */
public interface AccountingDataMapper {
    /**
     * 潜山核酸数据列表页(根据户籍地)
     *
     * @param accountingData
     * @return
     */
    List<AccountingDataVo> selectAccountingDataHjList(AccountingDataVo accountingData);

    /**
     * 潜山核酸数据列表页(根据居住地址)
     *
     * @param accountingData
     * @return
     */
    List<AccountingDataVo> selectAccountingDataJzdzList(AccountingDataVo accountingData);

    List<AccountingDataVo> getExportHj(AccountingDataVo accountingData);

    List<AccountingDataVo> exportCz(AccountingDataVo accountingData);

    /**
     * 新增
     *
     * @param accountingData
     * @return
     */
    int insertAccountingData(AccountingDataVo accountingData);

    /**
     * 根据id查询
     *
     * @param id
     * @return
     */
    int selectById(@Param("id") String id);

    AccountingDataVo getAccountingDataOne();

    List<AccountingDataVo> getAllData();

    List<AccountingDataVo> thirdNucleicAcid(@Param("startTime") String startTime, @Param("endTime") String endTime);

    int tongjiHjZ(@Param("startTime")String startTime, @Param("endTime")String endTime, @Param("areaId")String areaId);

    int tongjiCzZ(@Param("startTime")String startTime, @Param("endTime")String endTime, @Param("areaId")String areaId);

    List<AccountingDataVo> selectNoAccountingDataHjList(AccountingDataVo accountingData);

    List<AccountingDataVo> selectNoAccountingDataJzdzList(AccountingDataVo accountingData);

    List<AccountingDataVo> getExportHjNo(AccountingDataVo accountingData);

    List<AccountingDataVo> exportCzjNo(AccountingDataVo accountingData);

    int tongjiHjC(@Param("startTime")String startTime, @Param("endTime")String endTime, @Param("areaId")String areaId);

    int tongjiCzC(@Param("startTime")String startTime, @Param("endTime")String endTime, @Param("areaId")String areaId);

    List<AccountingDataVo> detailedInfoByIdCard(AccountingDataVo accountingData);
}
